sdformat (12.3.0+ds-2~drp11+20220117) bullseye-robotics; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 11 Jan 2022 18:07:09 +0000

sdformat (12.3.0+ds-1) experimental; urgency=medium

  * Use cmake in autopkgtest
  * New upstream version 12.3.0+ds

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 19 Dec 2021 19:53:25 +0000

sdformat (12.0.0+ds-1) experimental; urgency=medium

  [ Jose Luis Rivero ]
  * New upstream version 12.0.0+ds
  * Migrate debian metadata to 12 major
  * Refresh patches
  * Added patch to find ign properly
  * Update to standards 4.6.0
  * Do not need gitlab file
  * Add utils-dev in control for -dev package
  * Add CMake autopkgtest

  [ Timo Röhling ]
  * Use -DCMAKE_SKIP_RPATH=ON to make build reproducible
  * New upstream version 10.0.0+ds
  * Use local MathJax
  * Bump Standards-Version to 4.5.1
  * Bump debhelper to 13
  * Mark autopkgtest as superficial
  * Remove Multi-Arch: same from libsdformat-dev
    - Ruby module has hard-coded arch-dependent library path
  * Fix double free abort in unit tests due to faulty linkage
  * Ship examples with sdformat-doc
  * Remove obsolete libtinyxml-dev depend

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 03 Dec 2021 13:19:23 +0000

sdformat (9.3.0+ds-3) unstable; urgency=medium

  * Not ready for compat 13:
    CMAKE_SKIP_INSTALL_ALL_DEPENDENCY=ON kills the arch:all build

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Sep 2020 17:20:56 +0000

sdformat (9.3.0+ds-2) unstable; urgency=medium

  * Ship files for ignition integration

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 09 Sep 2020 09:46:40 +0000

sdformat (9.3.0+ds-1) unstable; urgency=medium

  * New upstream version 9.3.0
  * Update python3 patch
  * Update debhelper to 13
  * Add patch to define PATH_MAX for Debian Hurd
    (Closes: #892231)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 08 Sep 2020 16:19:36 +0000

sdformat (9.2.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 19:13:23 +0200

sdformat (9.2.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:30:47 +0200

sdformat (9.2.0+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Update d/watch to Github (switch suffix to ds)
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:26:12 +0200

sdformat (9.2.0+dfsg-1) experimental; urgency=medium

  * Team upload.

  [ Jose Luis Rivero ]
  * Update watch file

  [ Jochen Sprickerhof ]
  * Support all versions in d/watch
  * New upstream version 9.2.0+dfsg
  * Update copyright
  * Rebase patches
  * Rename packages (unversion -dev, new API)
  * Update d/control

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Apr 2020 09:54:10 +0200

sdformat (6.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Port scripts to Python 3 to drop Python 2 dependency (Closes: #938455).
  * Update Standards-Version to 4.5.0 (no changes required).
  * Add Rules-Requires-Root: no.
  * Update to debhelper-compat (= 12).

 -- Stuart Prescott <stuart@debian.org>  Mon, 27 Jan 2020 17:54:02 +1100

sdformat (6.2.0+dfsg-1) unstable; urgency=medium

  * Fix debian watch
  * Update standars
  * New upstream version 6.2.0+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 21 Jan 2019 14:33:46 +0000

sdformat (6.0.0+dfsg-4) unstable; urgency=medium

  * Fix dependency of libsdformat4-dev with respect to ignition-math
    (Closes: #890987)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 21 Feb 2018 16:46:04 +0000

sdformat (6.0.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 20 Feb 2018 17:34:32 +0000

sdformat (6.0.0+dfsg-2) experimental; urgency=medium

  * Fix many problems related to the copyright file.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 12 Feb 2018 13:05:12 -0800

sdformat (6.0.0+dfsg-1) experimental; urgency=medium

  [ Jose Luis Rivero ]
  * Update dependencies
  * Clean up lintian-overrides
  * Do not install NEWS file. It is empty
  * Update copyright for 2017 year OSRF
  * Update rules: remove features in compat 11 and update hardening setting
  * Added graphviz to build deps
  * Remove c++11 unconditional patch
  * Set -DUSE_HOST_CFLAGS to false
  * Added patch to support None build type
  * Added patch to remove the find_packge of ignition-tools
  * Remove patch, expose the warning of missing ign-tools
  * Patch to respect CMAKE_X_FLAGS_
  * Fix gtest packaged patch
  * Update copyring file

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 09 Feb 2018 17:28:45 -0800

sdformat (4.3.2-1) unstable; urgency=medium

  * Imported Upstream version 4.3.2
  * Update to standards 4.0.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 05 Sep 2017 19:03:51 +0000

sdformat (4.2.0-3) unstable; urgency=medium

  * Team upload.
  * [33b27de] Fix wrong usage of else-keyword in cmake. (Closes: #870237)

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Aug 2017 22:11:33 +0200

sdformat (4.2.0-2) unstable; urgency=medium

  * [507060f] Use texlive-latex-recommended instead of latex-xcolor.
              (Closes: #865252)
  * [c2b854d] Remove myself from uploaders.

 -- Anton Gladky <gladk@debian.org>  Sun, 02 Jul 2017 22:54:42 +0200

sdformat (4.2.0-1) unstable; urgency=medium

  * Imported Upstream version 4.2.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 17 Jan 2017 16:52:33 +0000

sdformat (4.1.1-1) unstable; urgency=medium

  * Imported Upstream version 4.1.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 15 Sep 2016 22:32:41 +0000

sdformat (4.1.0-2) unstable; urgency=medium

  * Update standards to 3.9.8
  * Add patch to replace boost pointers by std
    (Closes: #834982)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 30 Aug 2016 23:45:22 +0000

sdformat (4.1.0-1) unstable; urgency=medium

  * Imported Upstream version 4.1.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 14 Jul 2016 16:46:04 +0000

sdformat (4.0.0-3) unstable; urgency=medium

  [ Steve Langasek ]
  * [e2fd351] Fix deps in autopkgtest. (Closes: #818915)

  [ Anton Gladky ]
  * [8abe20a] Add myself to uploaders.

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Mar 2016 19:03:43 +0100

sdformat (4.0.0-2) unstable; urgency=medium

  * Team upload.
  * [4fa79dd] Add Breaks/Replaces for libsdformat4-dev. (Closes: #812743)
  * [2b7b2c2] Remove libsdformat4-dbg.
  * [67476f5] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Sat, 12 Mar 2016 20:35:21 +0100

sdformat (4.0.0-1) unstable; urgency=medium

  * Imported Upstream version 4.0.0
  * Migrate packaging from sdformat3 to sdformat4

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 15 Jan 2016 00:18:56 +0000

sdformat (3.6.0-3) unstable; urgency=medium

  * Include pkgconfig in dependencies for pkgautotest

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 06 Jan 2016 12:20:19 +0000

sdformat (3.6.0-2) unstable; urgency=medium

  * Team upload.
  * [8c2184a] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Wed, 06 Jan 2016 11:20:16 +0100

sdformat (3.6.0-1) unstable; urgency=medium

  * Imported Upstream version 3.6.0
  * Fix error in libsdformat3-dev (thanks to Leo)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 12 Nov 2015 16:41:08 +0100

sdformat (3.1.1-1) unstable; urgency=medium

  * Imported Upstream version 3.1.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 31 Aug 2015 18:27:25 +0000

sdformat (3.0.0-2) unstable; urgency=medium

  * Fix install file for libsdformat3-dev

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 02 Aug 2015 23:03:20 +0000

sdformat (3.0.0-1) unstable; urgency=medium

  * Imported Upstream version 3.0.0
  * Fix debian rules to compile architecture indepedent packages
  * Migrate from libsdformat-dev to libsdformat3-dev
  * Migrate 3 branch from experiemntal to unstable. Stable upstream release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 30 Jul 2015 00:56:21 +0000

sdformat (3.0.0~pre3.0.6-1-1) experimental; urgency=medium

  * Patch to use c++11 unconditionally
  * Fix the patch for use external gtest
  * Update watch file
  * Imported Upstream version 3.0.0~pre3.0.6-1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 15 Jul 2015 04:13:57 +0200

sdformat (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Sat, 09 May 2015 18:03:13 +0200

sdformat (2.3.0-1~exp1) experimental; urgency=medium

  * Added ruby as dependency to generate schemas
  * Added a patch to disable a test that requires network
  * Remove previous patch. Already merged upstream
  * Imported Upstream version 2.3.0
  * Set Standards-Version: 3.9.6. No changes

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 04 Feb 2015 02:45:51 +0100

sdformat (2.2.0-1) unstable; urgency=medium

  * Imported Upstream version 2.2.0
  * Update urdfdom patch with latest work done by upstream
  * Update standards version to 3.9.6
  * Update mailing list

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 21 Nov 2014 01:14:22 +0000

sdformat (2.0.1-1) unstable; urgency=medium

  * Imported Upstream version 2.0.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 18 Aug 2014 23:42:06 +0000

sdformat (2.0.0-6) unstable; urgency=medium

  [ Dejan Latinovic ]
  * Team upload.
  * Fix FTBFS due to a failing tests. (Closes: #754619)

 -- Anton Gladky <gladk@debian.org>  Tue, 16 Sep 2014 22:08:55 +0200

sdformat (2.0.0-5) unstable; urgency=medium

  * [31b98a5] Define LC_ALL=POSIX for the test suite (Closes: #750133)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 22 Jun 2014 18:14:33 +0000

sdformat (2.0.0-4) unstable; urgency=medium

  * [5a3c8f0] Implement sdformat-sdf to host common files (Closes: #747393)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 16 May 2014 17:30:12 +0000

sdformat (2.0.0-3) unstable; urgency=medium

  * [f03ab47] Conflict with libsdformat1. (Closes: #747393)
  * [2f73b57] Restrict test suite only to amd64 (Closes: #747361)
  * [2b207c6] Support for autopkgtest

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 09 May 2014 19:35:55 +0000

sdformat (2.0.0-2) unstable; urgency=medium

  * Add license for search.js. (Closes: #747314)
  * Fix autotests.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 07 May 2014 15:12:41 +0000

sdformat (2.0.0-1) unstable; urgency=medium

  * Fix compilation against urdfdom-0.3.0 (Closes: #74381)
  * Fix watch file to check for several digits versions
  * Upstream fixed the problems for running tests
  * Imported Upstream version 2.0.0
  * New ABI sdformat1 -> sdformat2
  * Remove patches, all changes were merged upstream

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 19 Apr 2014 16:37:43 +0000

sdformat (1.4.11-1) unstable; urgency=high

  * Initial release. (Closes: #728719)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 7 Nov 2013 04:46:00 -0700
